%define revision 1103
%define rel 1
%define subrel 1

Name:		vbam
Version:	1.8.0
Release:	%mkrel -c svn%{revision} %{rel}
Summary:	A Game Boy emulator
License:	GPLv2+
Group:		Emulators
URL:		http://sourceforge.net/projects/vbam
Source0:	%{name}-%{version}.%{revision}-src.tar.xz
Patch0:		%{name}-%{version}-glibc.patch
BuildRequires:	cmake
BuildRequires:	openal-devel
BuildRequires:	png-devel
BuildRequires:	SDL-devel
BuildRequires:	gtkglextmm-devel
BuildRequires:	libglademm2.4-devel
BuildRequires:	wxgtku2.8-devel
BuildRequires:	imagemagick
BuildRequires:	ffmpeg-devel
BuildRequires:	sfml-devel
Obsoletes:	visualboyadvance
Provides:	visualboyadvance = %{name}-%{version}

%description
VisualBoyAdvance-M (vbam) is a Nintendo (TM) Game Boy, Game Boy Color and
Game Boy Advance emulator.
It is based on VisualBoyAdvance and integrates the best 
features from the various other forks.

It also features a GTK frontend (gvbam) and a CLI interface with SDL.

%prep
%setup -q -n %{name}-%{version}.%{revision}
%apply_patches

%build
cmake -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} -DCMAKE_C_FLAGS:STRING="$OPTFLAGS" -DCMAKE_CXX_FLAGS:STRING="$OPTFLAGS" -DENABLE_FFMPEG=OFF -DENABLE_WX=OFF
%make VERBOSE=1

%install
%makeinstall_std

install -d -m 755 %{buildroot}%{_mandir}/man1
install -m 644 debian/%{name}.1 %{buildroot}%{_mandir}/man1

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Game" \
  --remove-key="Encoding" \
  --add-category="Emulator" \
  --dir %{buildroot}%{_datadir}/applications/ \
  %{buildroot}%{_datadir}/applications/*

%find_lang g%{name}

%files -f g%{name}.lang
%doc doc/ReadMe.SDL.txt doc/DevInfo.txt
%{_bindir}/*vbam
%config(noreplace) %{_sysconfdir}/vbam.cfg
%{_datadir}/%{name}
%{_datadir}/applications/g%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/*


%changelog

* Fri Jul 27 2012 dams <dams> 1.8.0-0.svn1103.1.1.mga2
+ Revision: 274986
- fix typo in provides
- Create update branch for import in 2 as requested in mga#6807
- clean specfile and update .desktop file
- clean specfile

* Fri Jul 20 2012 dams <dams> 1.8.0-0.svn1103.2.mga3
+ Revision: 272939
- fix typo in 'provides' and 'obsoletes'

* Fri Jul 20 2012 dams <dams> 1.8.0-0.svn1103.1.mga3
+ Revision: 272917
- new snapshot r1103
- imported package vbam

